# =========================================================================== #
# Gemspec for Project Mountpoints.
# =========================================================================== #
require 'mountpoints/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'mountpoints'
  s.version = Mountpoints::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  DESCRIPTION = <<-EOF

    This class will give you back all mountpoints on a Linux
    System. Please do note that this works only via "fdisk",
    and even then not always. It was mostly a "throw-away"
    gem that I can use, rather than having to parse the
    output of "fdisk -l".

    Also do note that we are only interested in external
    devices that are mounted that way, NOT other
    mountpoints.

    To use this in Ruby, do:

      require 'mountpoints'
      Mountpoints.show

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF
  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
  
  s.extra_rdoc_files = %w()
  
  s.authors   = ['Robert A. Heiler']
  s.email     = 'shevegen@gmail.com'
  s.files     = Dir['**/*']
  s.files    << 'USAGE.md'
  s.license   = 'GPL-2.0'
  s.homepage  = 'http://rubygems.org/gems/mountpoints'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # Dependencies
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'opn'

}